<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/chat_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:clipChildren="false"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:scaleX="1.2"
            android:scaleY="1.2"
            android:src="@mipmap/ic_back_btn2" />

        <TextView
            android:id="@+id/re_generate_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="3dp"
            android:background="@mipmap/bg_btn_shadow"
            android:text="@string/re_generate"
            android:textColor="@color/text_color_primary"
            android:textSize="12sp"
            android:visibility="gone"
            tools:visibility="visible" />
    </RelativeLayout>
</FrameLayout>